import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconPng as IconPngClass } from "../../../../components/icon/icons/png.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconPng = (props) => {
  IconPngClass.define();
  const JSXElement = getReactComponent("gds-icon-png");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconPng.displayName = "IconPng";
export {
  IconPng
};
